org.codehaus.plexus.velocity

## Class ContextClassLoaderResourceLoader

- java.lang.Object
- - org.apache.velocity.runtime.resource.loader.ResourceLoader
  - - org.codehaus.plexus.velocity.ContextClassLoaderResourceLoader

    public class ContextClassLoaderResourceLoader
    extends org.apache.velocity.runtime.resource.loader.ResourceLoader

### Field Summary

### Fields inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`className, isCachingOn, log, modificationCheckInterval, rsvc`

### Constructor Summary

Constructors
Constructor and Description
`ContextClassLoaderResourceLoader()`

### Method Summary

Methods
`long` `getLastModified(org.apache.velocity.runtime.resource.Resource resource)`
`java.io.InputStream` `getResourceStream(java.lang.String name)`
`void` `init(org.apache.commons.collections.ExtendedProperties configuration)`
`boolean` `isSourceModified(org.apache.velocity.runtime.resource.Resource resource)`

### Methods inherited from class org.apache.velocity.runtime.resource.loader.ResourceLoader

`commonInit, getClassName, getModificationCheckInterval, isCachingOn, resourceExists, setCachingOn, setModificationCheckInterval`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContextClassLoaderResourceLoader

    public ContextClassLoaderResourceLoader()

### Method Detail

#### init

    public void init(org.apache.commons.collections.ExtendedProperties configuration)

Specified by:
  `init` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

#### getResourceStream

    public java.io.InputStream getResourceStream(java.lang.String name)
                                          throws org.apache.velocity.exception.ResourceNotFoundException

Specified by:
  `getResourceStream` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`
Throws:
  `org.apache.velocity.exception.ResourceNotFoundException`

#### isSourceModified

    public boolean isSourceModified(org.apache.velocity.runtime.resource.Resource resource)

Specified by:
  `isSourceModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`

#### getLastModified

    public long getLastModified(org.apache.velocity.runtime.resource.Resource resource)

Specified by:
  `getLastModified` in class `org.apache.velocity.runtime.resource.loader.ResourceLoader`